aboutsummaryrefslogtreecommitdiff
path: root/testsuite
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2010-01-31 00:10:18 +0100
committerDenys Vlasenko <vda.linux@googlemail.com>2010-01-31 00:10:18 +0100
commited910c750d7908a31262488e04d38b7bf3d75322 (patch)
tree67b8e0385ab171988cf278acb17b516ef6c868b0 /testsuite
parente17764c8fb566f85020217dd8fd05fb6bc227e98 (diff)
downloadbusybox-ed910c750d7908a31262488e04d38b7bf3d75322.tar.gz
cal: add a unicode test
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/cal.tests39
-rwxr-xr-xtestsuite/runtest5
2 files changed, 42 insertions, 2 deletions
diff --git a/testsuite/cal.tests b/testsuite/cal.tests
new file mode 100755
index 000000000..36be2b4b5
--- /dev/null
+++ b/testsuite/cal.tests
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Copyright 2010 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. ./testing.sh
+
+test -f "$bindir/.config" && . "$bindir/.config"
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+
+testing "cal 2000" "cal 1 2000" "\
+ January 2000
+Su Mo Tu We Th Fr Sa
+ 1
+ 2 3 4 5 6 7 8
+ 9 10 11 12 13 14 15
+16 17 18 19 20 21 22
+23 24 25 26 27 28 29
+30 31
+" "" ""
+
+test x"$CONFIG_LOCALE_SUPPORT" = x"y" \
+&& test x"$CONFIG_FEATURE_ASSUME_UNICODE" = x"y" \
+&& test x"$CONFIG_LAST_SUPPORTED_WCHAR" = x"0" \
+&& test x"$CONFIG_UNICODE_WIDE_WCHARS" = x"y" \
+&& test x"$CONFIG_STATIC" != x"y" \
+&& test x"$CONFIG_CROSS_COMPILER_PREFIX" = x"" \
+&& testing "unicode cal 2000" "LANG=zh_TW.utf8 cal 1 2000" "\
+ 一月 2000
+日 一 二 三 四 五 六
+ 1
+ 2 3 4 5 6 7 8
+ 9 10 11 12 13 14 15
+16 17 18 19 20 21 22
+23 24 25 26 27 28 29
+30 31
+" "" ""
+
+exit $FAILCOUNT
diff --git a/testsuite/runtest b/testsuite/runtest
index 10563d7b2..5c185c5fb 100755
--- a/testsuite/runtest
+++ b/testsuite/runtest
@@ -78,9 +78,10 @@ run_oldstyle_applet_tests()
lcwd=$(pwd)
-[ x"$tsdir" != x ] || tsdir="$lcwd"
-[ x"$bindir" != x ] || bindir="${lcwd%/*}" # one directory up from $lcwd
+[ x"$tsdir" != x"" ] || tsdir="$lcwd"
+[ x"$bindir" != x"" ] || bindir="${lcwd%/*}" # one directory up from $lcwd
PATH="$bindir:$PATH"
+export bindir # some tests need to look at $bindir/.config
if [ x"$VERBOSE" = x ]; then
export VERBOSE=